//
//  SKSiteViewPrefPane.h
//  skEditv3_3
//
//  Created by Sean Kelly on 10/8/06.
//  Copyright 2006 skti. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "SKPrefPane.h"

@class SKFileFilters, SKFileFilter;

@interface SKSiteViewPrefPane : SKPrefPane {
}
- (SKFileFilters *)fileFilters;
@end

// acts as delegate for table view
@interface SKFileFiltersArrayController : NSArrayController {
	IBOutlet NSTableView *_tableView;
	IBOutlet NSPanel *_editPanel;
	
	SKFileFilter *_editingFilter;
}

- (IBAction)cancel:(id)sender;
- (IBAction)save:(id)sender;

- (SKFileFilter *)editingFilter;
- (void)setEditingFilter:(SKFileFilter *)value;

@end
