#! /usr/bin/python
#
# -- PB User Script Info --
# %%%{PBXName=Uppercase}%%%
# %%%{PBXInput=Selection}%%%
# %%%{PBXOutput=ReplaceSelection}%%%
# %%%{PBXArgument=-u}%%%
#
# %%%{PBXNewScript}%%%
# %%%{PBXName=Lowercase}%%%
# %%%{PBXInput=Selection}%%%
# %%%{PBXOutput=ReplaceSelection}%%%
# %%%{PBXArgument=-l}%%%
#
# %%%{PBXNewScript}%%%
# %%%{PBXName=Title}%%%
# %%%{PBXInput=Selection}%%%
# %%%{PBXOutput=ReplaceSelection}%%%
# %%%{PBXArgument=-t}%%%
#
# %%%{PBXNewScript}%%%
# %%%{PBXName=Sentence}%%%
# %%%{PBXInput=Selection}%%%
# %%%{PBXOutput=ReplaceSelection}%%%
# %%%{PBXArgument=-s}%%%

import re
import sys

# put selection from skEdit into string
selection = """%%%{PBXSelectedText}%%%"""

# grab flag
flag = sys.argv[1]

if flag == '-u':
	print selection.upper()
elif flag == '-l':
	print selection.lower()
elif flag == '-t':
	print selection.title()
else:
	matches = re.split('([^\.]+\.\s*)', selection)
	rebuilt = ''
	for m in matches:
		rebuilt += m.capitalize()
	print rebuilt
